package com.antai.sport.http.server.server.api.business.course.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("课程章节查询对象")
public class CourseItemVO {
    @ApiModelProperty("")
    private Long id;
    @ApiModelProperty("课程名称")
    private String name;
    @ApiModelProperty("指标类型 1:ftp 2:踏频 3:速度")
    private Integer targetType;
    @ApiModelProperty("指标值类型")
    private Integer targetValueType;
    @ApiModelProperty("目标值")
    private Integer targetValue;
    @ApiModelProperty("允许偏差")
    private BigDecimal allowableDeviation;
    @ApiModelProperty("持续时长s")
    private Integer duration;
    @ApiModelProperty("章节描述")
    private String description;

}
